Bug 1193481 - (phpspec/php-diff) Review Request: php-phpspec-php-diff - A library for generating differences between two hashable objects
Review Request: php-phpspec-php-diff - A library for generating differences b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: phpspec/phpspec
  Show dependency treegraph
 
Reported: 2015-02-17 07:48 EST by Remi Collet
Modified: 2015-03-11 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-phpspec-php-diff-1.0.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 07:36:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
puiterwijk: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (3.55 KB, text/plain)
2015-02-21 21:48 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.09 KB, text/plain)
2015-02-21 21:48 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-02-17 07:48:40 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/b98e0bceed099b8b7d6f91270f3837a316253014/php/phpspec/php-phpspec-php-diff/php-phpspec-php-diff.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpspec-php-diff-1.0.2-1.remi.src.rpm
Description: 
A comprehensive library for generating differences between two hashable
objects (strings or arrays). Generated differences can be rendered in
all of the standard formats including:
 * Unified
 * Context
 * Inline HTML
 * Side by Side HTML

The logic behind the core of the diff engine (ie, the sequence matcher)
is primarily based on the Python difflib package. The reason for doing
so is primarily because of its high degree of accuracy.


Fedora Account System Username: remi

---

As usually, I plan to clean the EL-5 stuff after import.
Comment 1 Shawn Iwinski 2015-02-21 21:48:05 EST
Created attachment 994210 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.2
Comment 2 Shawn Iwinski 2015-02-21 21:48:48 EST
Created attachment 994211 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1193481
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2015-02-21 21:50:15 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.



===== APPROVED =====
Comment 4 Remi Collet 2015-02-22 02:32:44 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: php-phpspec-php-diff
Short Description: A library for generating differences between two hashable objects
Upstream URL: https://github.com/phpspec/php-diff
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 5 Patrick Uiterwijk 2015-02-24 04:49:15 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-02-24 08:31:10 EST
php-phpspec-php-diff-1.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-phpspec-php-diff-1.0.2-1.fc21
Comment 7 Fedora Update System 2015-02-24 08:31:18 EST
php-phpspec-php-diff-1.0.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-phpspec-php-diff-1.0.2-1.el7
Comment 8 Fedora Update System 2015-02-24 16:21:21 EST
php-phpspec-php-diff-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 9 Fedora Update System 2015-03-05 07:36:14 EST
php-phpspec-php-diff-1.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 10 Fedora Update System 2015-03-11 12:40:27 EDT
php-phpspec-php-diff-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.